Bundle Downloads

A BundleDownload is a record of the download action that happened in the bundle.

Endpoint

GET/bundle_downloads

Return Object

BundleDownload[]

Authorization Requirement

Available to all authenticated keys or sessions.

Request Parameters

ParameterDescription
bundle_id
int64
Bundle ID
bundle_registration_id
int64
BundleRegistration ID

Additional Arguments

Example Request

curl "https://app.files.com/api/rest/v1/bundle_downloads.json?bundle_id=1&bundle_registration_id=1" \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "bundle_registration": {
      "code": "abc123",
      "name": "account",
      "company": "Action Verb",
      "email": "john.doe@files.com",
      "ip": "10.1.1.1",
      "inbox_code": "abc123",
      "clickwrap_body": "example",
      "form_field_set_id": 1,
      "form_field_data": {
        "key": "example value"
      },
      "bundle_code": "example",
      "bundle_id": 1,
      "bundle_recipient_id": 1,
      "workspace_id": 1,
      "created_at": "2000-01-01T01:00:00Z"
    },
    "download_method": "file",
    "path": "a/b/test.txt",
    "workspace_id": 1,
    "created_at": "2000-01-01T01:00:00Z"
  }
]

The BundleDownload Object

Some of the endpoints above return a BundleDownload object. The attributes of this object are listed below.

AttributeDescription
bundle_registration
BundleRegistration
download_method
string
Download method (file or full_zip)
Possible values: file, full_zip
path
string
Download path. This must be slash-delimited, but it must neither start nor end with a slash. Maximum of 5000 characters.
workspace_id
int64
Workspace ID. 0 means the default workspace.
created_at
date-time
Download date/time

Example BundleDownload Object

{
  "bundle_registration": {
    "code": "abc123",
    "name": "account",
    "company": "Action Verb",
    "email": "john.doe@files.com",
    "ip": "10.1.1.1",
    "inbox_code": "abc123",
    "clickwrap_body": "example",
    "form_field_set_id": 1,
    "form_field_data": {
      "key": "example value"
    },
    "bundle_code": "example",
    "bundle_id": 1,
    "bundle_recipient_id": 1,
    "workspace_id": 1,
    "created_at": "2000-01-01T01:00:00Z"
  },
  "download_method": "file",
  "path": "a/b/test.txt",
  "workspace_id": 1,
  "created_at": "2000-01-01T01:00:00Z"
}